UniPrint Client Release History
===============================


Version 5.0.0
-------------

- New features:
	- New and improved document preview with UniPrint Viewer
	- New UniPrint rendering engine

- Enhancements:
	- Re-designed and simplified user interface
	- Increased overall speed
	- Smaller footprint with no need for .NET framework

- Bug fixes:
	- Sending a large volume of print jobs to the default printer could crash the client
	- When Adobe Acrobat/Reader is set as default preview application client may fail when using Adobe's native email option 
	- Spool path containing Unicode characters can now be set using environment variables
	- Fixed issue where local printer settings were getting reset
	- Fixed speed of print job to local spooler
	- Various font and formatting issues resolved
	- AppData folder no longer requires user access



Version 4.0.9
-------------

- New features:
	- UniPrint Print dialog box

- Enhancements:
	- Compatible with MS Outlook 2010
	- Enhanced Print dialog spawn time 
	- Updated UniPrint rendering engine

- Bug fixes:
	- Citrix PNAgent detection routine in installer package
	- Crash caused by Spool path when standard user didn't have access to location
	- Saving file in UniPrint previewer with invalid characters


Version 4.0.8
-------------

- New features:
	- Print Page Scaling and Auto center options are enabled for Foxit Print engine
	- Command line option to change Print Page Scaling setting
	- Deployment Support for Citrix Merchandising server
	

- Enhancements:
	- Added functionality to display document name while spooling in print queue
	- New updated UniPrint rendering engine
	- New Virtual channel plug-in for Citrix and RDP

- Bug fixes:
	- Corrected a rendering issue when printing with preview disabled using UniPrint Application as the print engine
	- UniPrint previewer now displays the correct file name
	- Fixed a Paper Orientation issue with the Foxit Print engine


Version 4.0.7
-------------

- New features:
	- Save/Print All/Email functions in UniPrint Preview window now show actual file name 
	- Support for Page Range option when printing from UniPrint Acrobat plug-in for UniPrint 7.0
	- Command line options to change General and Advanced Settings without using user interface

- Enhancements:
	- Improved UniPrint rendering engine
	- Updated Foxit rendering engine from version 1.4.0.2721 to 2.0.0.1311
	- Enhanced print processing when using the Print All function with Foxit rendering engine

- Bug fixes:
	- "Current Page" selected by default when printing with Adobe 9.2
	- Adobe handle issue causing an intermittent error "The maximum number of files are already open. No other files can be opened or printed until some are closed. "
	- Application crashes when Lotus Notes is used as default e-mail program
	- UniPrint.exe not exiting when users using XenApp Client 11.2 log off their ICA sessions
	- Incorrect Acrobat.exe path detected
	- Printer DEVMODE gets reset when using the "Preview with Acrobat Reader" option with "Enable Printer Settings" option unchecked
	- Paper source reset to "Automatically Select" when default setting is changed to another option such as "Manual Tray"
	- Tray Mapping Settings not applied when saved using the "Save Global" option 


Version 4.0.6
-------------

- Enhancements:
	- Now compatible with Hotfix Rollup Pack 4 for Citrix Presentation Server/XenApp (CTX119069/CTX119075)
	- Sizes of the Print All/Save All/Email All check-box list windows are now retained in the Previewer

- Bug fixes:
	- Appropriate error message will now appear if a printer is available but disconnected or paused
	- Print All/Save All/Email All options processed wrong number of jobs with documents with the same name


Version 4.0.5
-------------

- Enhancement:
	- Save or Email function in the UniPrint Preview window will always save as .PDF
	 
- Bug fixes:
	- Fixed the file monitoring issue if there is no c:\ system drive 
	- Fixed the Print All with No Preview issue on a multi-page document
	- Fixed the issue where the Client sometimes does not receive all documents
	- In some cases the Foxit print engine would not print in landscape
	- Removed Bandwidth Throttling
	- Client hangs when application reports invalid paper source value


Version 4.0.4
-------------

 - New features:
	- Email All and Save All options added to the preview window
	- Re-sizable preview window
	- Support for Adobe Reader 9 

 - Bug fixes:
	- Host Edition and UniPrint Server 5.1.0 and earlier generated print jobs
	- Fixed the disconnected printer issue while printing
	- Printing Landscape with Foxit issue
	- Print Dialog Box is behind the preview window while printing with Adobe
	- Preview window doesn't always display the print job
	- Changed the interface for Print/Save/Email on preview window
	- Multiple documents sometimes don't print in the correct order


Version 4.0.3
-------------

 - New feature:
	- Actual Size/Fit to Page option in the preview window

 - Bug fixes:
	- Windows Logoff issue while client is still running
	- Printer DEVMODE settings problem
	- Saving a PDF document with an existing name not being overwritten
	- USB key drive letter re-assignment issue
	- Enabled Per Page Tray Mapping for both Amyuni and Foxit


Version 4.0.2
-------------

 - New feature:
	- Print Progress bar can now be disabled

 - Bug fix:
	- Invalid DmDither setting caused client printouts to fail in some cases


Version 4.0.1
-------------

 - New features:
	- Additional rendering engine (Foxit)
	- Optional use of third party PDF reader
	- New rules feature to select printer based on form name or size
	- Group Policy management
	- Single or all users installation option
	- Support for Active Directory deployment

 - Enhancements: 
	- Improved support for Windows Vista 
	- Improved support for Citrix ICA Web Client 10 
	- Improved user interface
	- Improved rendering engine

 - Bug fixes:
	- Local Print dialog may not appear for the first print job
	- Installing on a machine with Internet Explorer 5 results in Error 1931
	- Launching UniPrint Client may trigger an unassisted install
	- Printer properties may not be applied to print jobs on Windows Vista clients
	- Resetting Default Settings may not always be successful


Version 3.6.3.1
---------------

 - New features:
	- Support for Tray Mapping functionality from UniPrint Print Server
	- Support for Page Scaling Option from UniPrint Gateway 6.1

 - Enhancements:
	- Improved support for Windows Vista
	- Improved support for Citrix ICA Web Client 10

 - Bug fixes:
	- A CreateFile error may be displayed when Debug Logging is enabled
	- The Print dialog window appears behind the user's session


Version 3.6.2
-------------

 - New feature:
	- Unicode filename support
	- Two new command line options, /NOICA and /NORDP, to disable ICA or RDP Support components

 - Enhancements:
        - Improved UniPrint Application Print component
	- Improved support on French, German, Spanish, Portuguese, and Japanese platforms

 - Bug fixes:
        - Print dialog box gets hidden behind seamless Propalms TSE sessions in non-English OS
        - MSI Installation fails if scrrun.dll is not registered
        - UniPrint Client may crash when processing print jobs if the installation of Adobe Reader/Acrobat is damaged
        - UniPrint Client hangs if 058111 temporary spool directory is hidden
        - Command line install options /O=3 and /O=4 for UniPrintClient.exe do not configure preview options correctly


Version 3.6.1
-------------

 - Enhancement:
	- Improved UniPrint Application Print component

 - Bug fixes:
	- Uninstalling UniPrint Client from a machine that has any UniPrint Server product installed removes certain required registry keys and file components
	- When printing through UniPrint with the "Transfer PCF" server option disabled, or from UniPrint Server 1.4.2, the properties set on the client printer at print time may not reflect the expected settings
	- UniPrint Preview window intermittently does not appear on top of all other windows 
	- Closing UniPrint Preview window while a print job is being processed generates Error 91
	- Print jobs that have a rendered file size of less than 2048 bytes in size are not processed (works only with UniPrint Server 5.1.1)
	- UniPrint Client hangs when server component does not complete the transfer of PCF file
	- Out of sequence Windows messages causes UniPrint Client to hang


Version 3.6.0
-------------

 - New features:
	- Bandwidth throttling
	- Ability to provide feedback directly through www.uniprint.net

 - Enhancements:
	- Enhanced UniPrint Preview component
	- Improved print job spooling speed for virtual channel connections

 - Bug fixes:
	- UniPrint Client intermittently hangs while printing when a PDF document is opened within Internet Explorer
	- Runtime error 52: Bad file name or number
	- Some documents may cause UniPrint Client to hang when the "Use Acrobat Application" option is used
	- Print dialog box gets hidden behind seamless ICA sessions in non-English OS
	- Acrobat may not be launched for the first print job with the "Preview with Acrobat Reader" option
	- Default printer properties may get altered when printing to a non-default printer
	- Horizontal toolbar functions missing from the UniPrint Preview dialog box
	- UniPrint Client not launched when session counter is not reset properly
	- Unable to print when Local Spool Path contains any underscore (_)


Version 3.5.1
-------------

 - Enhancements:
	- Support for Adobe Acrobat and Acrobat Reader 7.0 (available for the "Preview with Acrobat Reader" option only)
	- Enhanced UniPrint preview component
	- Improved support for "Number of copies" and "Collate" features in a wider range of printer drivers

 - Bug fixes:
	- /P install switch does not work if UniPrint Client is already installed
	- When using "No Preview" with "Display Print Dialog" options in Windows XP, the first print job hangs intermittently
	- Printing in Windows 98


Version 3.5.0
-------------

 - New feature:
	- Supports Automatic Client Update from UniPrint Server (applicable to version 5.0 or above)

 - Enhancement:
	- Printer-specific properties when using the "Use Acrobat Application" option


Version 3.4.2
-------------

 - New feature:
	- Printer-specific properties support

 - Enhancements:
	- Running setup with /? displays all supported command line switches
	- No longer uses scrrun.dll as it may be blocked by some antivirus software
	- Optimize memory usage during printing

 - Bug fix:
	- Some command line switches are ignored if installing on a machine with the software already installed


Version 3.4.1
-------------

 - Bug fix:
	- Print job is sent to the default printer when using Adobe Application to print to non-default printers


Version 3.4.0
-------------

 - New features:
	- Option to select between local or online help file
	- Option to disable the "Enable Printer Properties" feature during setup
	- Two new command line options (/O=3 & /O=6) to change default settings during setup

 - Enhancements:
	- User interface
	- If missing, the UniPrint information within Citrix's Module.ini is re-inserted during user login to Windows
	- Only 1 copy of UniPrint.exe is installed
	- ICA virtual channel print speed
	- Windows 98 support

 - Bug fixes:
	- Unable to print to printers with names longer than 31 characters
	- Default Settings option does not reset ICA Virtual Channel Progress Log option
	- Inconsistent behaviour of the "Always On Top" feature on Windows 2000 and Windows XP machines
	- Print job not sent to the correct paper tray when the "Enable Printer Properties option" is disabled


Version 3.3.0c
--------------

 - Bug fixes:
	- Type Mismatch error on machines that has not been rebooted for over 23 days
	- Crashes when printing entire MS Excel workbook


Version 3.3.0b
--------------

 - Bug fix:
	- UniPrnt.exe does not always launch when ICA/RDP connection is made


Version 3.3.0a
--------------

 - New feature:
	- Shortcut in Start Menu to launch UniPrint Client

 - Enhancement:
	- Allow selection of Citrix ICA Client installation path if setup failed to detect it automatically

 - Bug fixes:
	- Prompting multiple errors when no printer is installed on the client machine
	- Debug file logging crashes ICA virtual channel session when text per line exceeds 200 characters 
	- Unable to move the Cancel Print dialog
	- Alternate web page for the Auto Update feature is not pointing to the correct URL
	- Unable to detect Citrix ICA Client installation path on Windows XP Embedded machines


Version 3.3.0
-------------

 - Enhancements:
	- Installation GUI
	- Debug log files

 - Bug fix:
	- Crashes when installed on Win NT machines


Version 3.2.9
-------------

 - New features:
	- Printer properties support
	- "Always On Top" option for UniPrint Previewer
	- Quick key to re-enable the Advanced tab (Shift + Double-click on "Settings" option)
	- Quick key to re-enable the Settings and Advanced tabs at the same time (Shift + Double-click on UniPrint system tray icon)
	- Option to disable the Exit option in the right-click menu and Exit button in the UniPrint Previewer setup

 - Enhancements:
	- Close UniPrint Previewer only when there is only one print job on the print list; an "Exit" button is added to the interface, allowing user to close the Previewer at any time 
	- Customizable GUI for UniPrint Previewer

 - Bug fixes:
	- Print jobs being deleted by McAfee Anti-Virus software in error
	- ICA components not installed properly in silent mode if client machine has non-English Citrix ICA Client installed 
	- Path set as previous user's temp directory when the use user temp directory as virtual channel spool path option is used
	- Conflict with WinFax Pro 10.0
	- Virtual Channel progress bar not displaying spool progress properly
	- Default spool path resets after changing it in the Advanced tab
	- Hangs when launching Settings menu while receiving a print job
	- Windows installer launches when UniPrint.exe is executed


Version 3.0.2
-------------

 - Enhancement:
	- Option to change default virtual channel spool path from C:\ to user temp directory during setup

 - Bug fixes:
	- Multiple instance of mstsc.exe running after RDP sessions are disconnected
	- For RDP connections, UniPrint.exe launches only when the user who installed the software logs in 
	- RDP and ICA virtual channel spool path not synchronized when only RDP client is installed


Version 3.0.1
-------------

 - Enhancement:
	- Reduced loading time when using the UniPrint application option to process the print job

 - Bug fixes:
	- Prints only 1 copy when the No Preview option is selected with the Display Print Dialog option disabled
	- Null value for RDP Path when installed using MSI setup


Version 3.0
-----------

 - New features:
	- Sizable UniPrint Previewer
	- Revert to default settings
	- Option to disable virtual channel spool progress bar
	- Option to enable/disable debug tools

 - Enhancements:
	- Ensure Acrobat Reader version is 4.0 or above before enabling the option in the Settings screen
	- More user friendly UniPrint Previewer
	- Acrobat print dialog hidden behind session when the No Preview, Prompt Print Dialog option is used in French NT environment
	- Compatibility with Acrobat Reader 6.0

 - Bug fixes:
	- Problem detecting Acrobat version in French OS when the decimal separator is set at "," rather than "."
	- Option to change ICA Client installation path during setup is disabled when the installed ICA Client is a non-English version


Version 2.2.4
-------------

 - New feature:
	- Set user settings during MSI setup

 - Enhancements:
	- Compatibility with Citrix ICA Client 7.00.17534
	- Compatibility with Microsoft Terminal Services Advanced Client (TSAC)

 - Bug fixes:
	- Viewing & printing (when using UniPrint application) print jobs created with the Multi-Language Support option enabled on the server side
	- Error 52 raised in French environment
	- Email option gets disabled when the Generate Progress Log option is enabled
	- Only users who installed the software have access to the Settings menu
	- ICA components not installed when only PNagent is installed on the machine


Version 2.2.0
-------------

 - New features:
	- Check for updates through the Internet
	- Option to enable/disable Email feature during setup
	- Ability to enable/disable Print Settings during setup

 - Enhancements:
	- Delete printer configuration file
	- View & print Acrobat PDF file using UniPrint application

 - Bug fixes:
	- Print dialog gets hidden behind session window
	- Reset Instance key on exit
	- Set ICA Client file security to full access during setup


Version 2.1.0
-------------

 - Added feature:
	- Compatible with RDP Client, ICA Client (both virtual channel and client drive mapping) and PN Agent
	- Enhanced debug tool


Version 2.0.9
-------------

 - New feature:
	- Unicode supported when virtual channel mode is enabled at the server side

 - Bug fixes:
	- ICA session terminated when printing files with long file names (over 48 characters) in virtual channel mode
	- Adobe gets terminated when UniPrint exits, even if Acrobat application is not used to process the print job


Version 2.0.8
-------------

 - New features:
	- Ability to use either UniPrint's or Acrobat's PDF OCX to print when the No Preview or UniPrint Previewer option is selected
	- Improved user interface for settings changes


Version 2.0.7
-------------

 - New feature:
	- Ability to use either UniPrint's or Acrobat's PDF Viewer when the UniPrint Previewer option is selected

 - Bug fixes:
	- Instance registry key error 
	- Overlapped characters when printed through custom applications
	- Illegal operation error when printed through HP DeskJet printers
	- Unable to capture text that are "Strikethrough" or double underlined
	- Choppy background color


Version 2.0.6
-------------

 - Bug fix:
	- Incomplete update of data in the Module.ini file when previous version is not uninstalled 


Version 2.0.5
-------------

 - Bug fix:
	- Consumes 100% CPU when the No Preview with No prompt for copies option is selected


Version 2.0.2
-------------

 - Disabled the selection of virtual channel print path during software installation's user interface


Version 2.0.1
-------------

 - Bug fixes:
	- Duplicate entries in the Module.ini file
	- Updated HTML help file


Version 2.0
-----------

 - New features:
	- Installation of Acrobat Reader no longer required
	- Set default virtual channel print path during software installation (see Readme.doc for details)


Version 1.5.3 Patch 2
---------------------

 - Bug fixes:
	- Email option not functioning when used on Windows 2000 workstations
	- UniPrint terminating prematurely when more than 1 Citrix session is opened


Version 1.5.3 XP
----------------

 - New features:
	- Email option
	- Spool progress messaging (virtual channel mode only for UniPrint XP Server V1.4.2 Patch 3 and UniPrint Enterprise Server V2.0 Patch 3 or above)
	- Set default Print Preferences during software installation (see Readme.doc for details)
 
 - Easy restore when Citrix ICA Client has been updated (double-click on UniPrint.exe)

 - Enhanced compatibility with Citrix German ICA Client 

 - Bug fixes: 
	- UniPrint icon not disappearing from system tray when logged off the Citrix server
	- Program hung when printing the same document more than once at the same time
	- Virtual channel mode failing for later versions of Citrix ICA Client 4.x
	- Adobe Acrobat 5.0 toolbar visible in UniPrint Previewer when it was first launched


Version 1.5.2 XP
----------------

 - Enhanced compatibility with Adobe Acrobat 5.0
 - Bug fix on the premature unload of UniPrint Previewer with the Single Print Job option


Version 1.5.1 XP
----------------

 - Includes UniPrint help file


Version 1.5 XP
--------------

 - Improved user interface allowing for:
	-  Save current print job in PDF format	
	-  Access to the print dialog box (properties/settings) when 
	   printing single print job 
	-  Select particular print jobs to be printed for multiple copies 
	   when printing multiple print jobs

 - Bug fix when used with ICA 32-bit Web Client


Version 1.4 Patch 2
-------------------

 - Enhanced compatibility with Citrix French ICA Client Versions 4.17 to 6.00.910 


Version 1.4 XP
--------------

 - Compatible with Citrix Client Versions 4.77 to 6.01.963 (including Citrix Webclient)
 - Allows client to print multi-copies of the print job
 - Allows change of temp spool directory on local drive (default c:\)


Version 1.3 Patch 3
-------------------

 - Add Multi Document Printing 
 - Bug fix re Kill Acrobat Option


Version 1.3 Patch 2
-------------------

 - Bug fix on reading Registry entry: 
	- User no longer requires admin rights to install UniPrint Client


Version 1.3
-----------

 - Bug fixes:
	- Printing long file names
	- Printing multiple jobs in one print command
	- Speed and memory consumption

 - Virtual Channel ready:
	- When used with v1.4 of UniPrintServer (virtual channel version) 
	  UniPrint no longer requires user drive mapping

 - Allow change of UniPrint temp spool files location (default is c:\)


Version 1.2
-----------

First official release of UniPrint Client
